/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.wordpress.cyberpython.lia;

/**
 *
 * @author cyberpython
 */
public class Constants {
    
    public static char instr_mask = (char)(15 << 12);
    public static char addr_mask = (char)4095;
    
    public static final char INSTR_LOAD       = (char) ( 1 << 12);
    public static final char INSTR_STORE      = (char) ( 2 << 12);
    public static final char INSTR_ADD        = (char) ( 3 << 12);
    public static final char INSTR_SUBTRACT   = (char) ( 4 << 12);
    public static final char INSTR_MULTIPLY   = (char) ( 5 << 12);
    public static final char INSTR_DIVIDE     = (char) ( 6 << 12);
    public static final char INSTR_JUMP       = (char) ( 7 << 12);
    public static final char INSTR_JUMPZERO   = (char) ( 8 << 12);
    public static final char INSTR_JUMPMSB    = (char) ( 9 << 12);
    public static final char INSTR_JUMPSUB    = (char) (10 << 12);
    public static final char INSTR_RETURN     = (char) (11 << 12);
    
    public static final int LOAD      =  1;
    public static final int STORE     =  2;
    public static final int ADD       =  3;
    public static final int SUBTRACT  =  4;
    public static final int MULTIPLY  =  5;
    public static final int DIVIDE    =  6;
    public static final int JUMP      =  7;
    public static final int JUMPZERO  =  8;
    public static final int JUMPMSB   =  9;
    public static final int JUMPSUB   = 10;
    public static final int RETURN    = 11; 
    
     public static final char MAX_MEMORY    = (char)4096; 

}
